summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTing-Wei Lan <lantw@src.gnome.org>2015-04-24 00:18:42 +0800
committerTing-Wei Lan <lantw@src.gnome.org>2015-04-24 00:50:46 +0800
commit5a58273b8ec252fad7a810614ed612a7e42f2a9b (patch)
treeda5d61f17a17f2f802014437c303a7a1a8c9c682
parent42ecf1a705a3ff57f3a6eafc0d1dcc594217a18a (diff)
downloadvte-5a58273b8ec252fad7a810614ed612a7e42f2a9b.tar.gz
build: Add libc++ check to check-libstdc++.sh
https://bugzilla.gnome.org/show_bug.cgi?id=748376
-rwxr-xr-xsrc/check-libstdc++.sh10
1 files changed, 6 insertions, 4 deletions
diff --git a/src/check-libstdc++.sh b/src/check-libstdc++.sh
index 80d87572..8b59dbab 100755
--- a/src/check-libstdc++.sh
+++ b/src/check-libstdc++.sh
@@ -5,9 +5,11 @@ export LC_ALL=C
LDD=ldd
GREP=grep
-if $LDD .libs/libvte-$VTE_API_VERSION.so | $GREP 'libstdc++' &>/dev/null; then
- echo "FAIL: libvte-$VTE_API_VERSION.so is linked to libstdc++"
- exit 1
-fi
+for cxxlib in 'libstdc++' 'libc++'; do
+ if $LDD .libs/libvte-$VTE_API_VERSION.so | $GREP "$cxxlib" &>/dev/null; then
+ echo "FAIL: libvte-$VTE_API_VERSION.so is linked to $cxxlib"
+ exit 1
+ fi
+done
exit 0